- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.BatchUpdateYieldGroupsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#body.aspect)
- [UpdateYieldGroupRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#UpdateYieldGroupRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#UpdateYieldGroupRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.yieldGroups/batchUpdate.md.txt#try-it)

Batch updates `YieldGroup` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/yieldGroups:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `YieldGroups` will be updated. Format: `networks/{networkCode}` The parent field in the `UpdateYieldGroupRequest` must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`UpdateYieldGroupRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`UpdateYieldGroupRequest`)`` Required. The `YieldGroup` objects to update. A maximum of 10 objects can be updated in a batch. |

### Response body

Response object for `yieldGroups.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "yieldGroups": [ { object (`YieldGroup`) } ] } ``` |

| Fields ||
|---|---|
| `yieldGroups[]` | ``object (`YieldGroup`)`` The `YieldGroup` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateYieldGroupRequest

Request object for `yieldGroups.patch` method.

| JSON representation |
|---|
| ``` { "yieldGroup": { object (`YieldGroup`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `yieldGroup` | ``object (`YieldGroup`)`` Required. The `YieldGroup` to update. The `YieldGroup`'s `name` is used to identify the `YieldGroup` to update. |
| `updateMask` | ``string (`FieldMask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |